/******************************************************************************
 * @file:		device_settings.h
 * @project:	BuoyController
 * @author:  	Ove Nesse
 * @version:	1.00
 * @created:	12. mai 2016
 ******************************************************************************
 *	File info here
 ******************************************************************************/

#ifndef DEVICE_SETTINGS_H_
#define DEVICE_SETTINGS_H_

#include "shared.h"

bool 		DEV_GetEnabledDevice(Device_dev device);
uint16_t * 	DEV_GetDeviceOnPeriod(Device_dev device);
uint32_t * 	DEV_GetDeviceInterval(Device_dev device);


#endif /* DEVICE_SETTINGS_H_ */
