/******************************************************************************
 * @file:		fifo_config.h
 * @project:	BuoyController
 * @author:  	Ove Nesse
 * @version:	1.00
 * @created:	27. jan. 2016
 ******************************************************************************
 *	File info here
 ******************************************************************************/

#ifndef FIFO_CONFIG_H_
#define FIFO_CONFIG_H_

#define FIFO_RX_SIZE_RADIO 		512
#define FIFO_RX_SIZE_TBR 		256
#define FIFO_RX_SIZE_AQUA 		128
#define FIFO_RX_SIZE_WS 		128
#define FIFO_RX_SIZE_GSM 		256

#define FIFO_TX_SIZE_RADIO 		128
#define FIFO_TX_SIZE_TBR 		32
#define FIFO_TX_SIZE_AQUA 		32
#define FIFO_TX_SIZE_WS 		32
#define FIFO_TX_SIZE_GSM 		256

#endif /* FIFO_CONFIG_H_ */
