/******************************************************************************
 * @file:		gsm_com.h
 * @project:	BuoyController
 * @author:  	Ove Nesse
 * @version:	1.00
 * @created:	13. mai 2016
 ******************************************************************************
 *	File info here
 ******************************************************************************/

#ifndef GSM_COM_H_
#define GSM_COM_H_

#include "bmp_com.h"


typedef enum {
	smsr_ok_shutdown,
	smsr_ok_stayAwake,
	smsr_error
} GSM_SmsRes_smsr;


/*******************************************************************************
 * 							Function declarations
 *******************************************************************************/

bool 			GSM_ReceiveTCP(BMP_TransferArgs * args);
bool 			GSM_TransmitTCP();

bool 			GSM_SendStatusSMS();
GSM_SmsRes_smsr GSM_ReceiveSms();

#endif /* GSM_COM_H_ */
