/******************************************************************************
 * @file:		comStates.h
 * @project:	BuoyController
 * @author:  	Ove Nesse
 * @version:	1.00
 * @created:	17. mai 2016
 ******************************************************************************
 *	File info here
 ******************************************************************************/

#ifndef COMSTATES_H_
#define COMSTATES_H_

#include "controllerState.h"

void TransitionToWakeAndReceiveSms(ControllerStatePtr state);
void TransitionToSendSpecifiedMessage(ControllerStatePtr state);

void TransitionToSendData(ControllerStatePtr state);
void TransitionToReceiveData(ControllerStatePtr state);
void TransitionToReceiveSms(ControllerStatePtr state);
void TransitionToSendSms(ControllerStatePtr state);
void TransitionToEndSession(ControllerStatePtr state);

void SendSpecifiedMessage(ControllerStatePtr state);
void SendData(ControllerStatePtr state);
void ReceiveData(ControllerStatePtr state);
void ReceiveSms(ControllerStatePtr state);
void SendSms(ControllerStatePtr state);

#endif /* COMSTATES_H_ */
