/******************************************************************************
 * @file:		imu_driver.h
 * @project:	BuoyController
 * @author:  	Ove Nesse
 * @version:	1.00
 * @created:	26. jan. 2016
 ******************************************************************************
 *	File info here
 ******************************************************************************/

#ifndef IMU_DRIVER_H_
#define IMU_DRIVER_H_

#include <stdint.h>
#include <stdbool.h>

/*******************************************************************************
 * 							Function declarations
 *******************************************************************************/

bool 	IMU_Init();
bool 	IMU_ExitSleepMode();
bool 	IMU_EnterSleepMode();
void 	IMU_SelfTest();
void	IMU_GetAccelData(uint16_t * recvData);
int8_t 	IMU_GetTemp();
void 	IMU_GetGyroData(uint16_t * recvData);

#endif /* IMU_DRIVER_H_ */
