/******************************************************************************
 * @file:		sd_config.h
 * @project:	BuoyController
 * @author:  	Ove Nesse
 * @version:	1.00
 * @created:	26. jan. 2016
 ******************************************************************************
 *	File info here
 ******************************************************************************/


#ifndef SD_CONFIG_H_
#define SD_CONFIG_H_

#include "em_gpio.h"

/*******************************************************************************
 * 								SPI Settings
 *******************************************************************************/

#define SD_SPI_HI_CLOCK    	10000000	// 10MHz, MAX: HFPER/(2*HFPER_Clkdiv)
#define SD_SPI_LO_CLOCK    	300000		// 300kHz

/*******************************************************************************
 * 								Ports and pins
 *******************************************************************************/
#define SD_POWER_PORT		gpioPortC
#define SD_POWER_PIN		15

#endif /* SD_CONFIG_H_ */
