/******************************************************************************
 * @file:		fifo_tx.h
 * @project:	BuoyController
 * @author:  	Ove Nesse
 * @version:	1.00
 * @created:	27. jan. 2016
 ******************************************************************************
 *	File info here
 ******************************************************************************/

#ifndef FIFO_TX_H_
#define FIFO_TX_H_

#include "shared.h"

/*******************************************************************************
 * 							Function declarations
 *******************************************************************************/

void FIFO_TX_Init();
void FIFO_TX_Reset(Stream stream);
bool FIFO_TX_Free(Stream stream);
bool FIFO_TX_Empty(Stream stream);

bool FIFO_TX_Put(Stream stream, uint8_t data);
bool FIFO_TX_Get(Stream stream, uint8_t * data);

#endif /* FIFO_TX_H_ */
