/******************************************************************************
 * @file:		system_format.h
 * @project:	BuoyController
 * @author:  	Ove Nesse
 * @version:	1.00
 * @created:	26. mai 2016
 ******************************************************************************
 *	File info here
 ******************************************************************************/

#ifndef SYSTEM_FORMAT_H_
#define SYSTEM_FORMAT_H_

#include "shared.h"

uint16_t 		SYS_FormatDateTime(char * buf, time_t * usetime);
uint16_t 		SYS_FormatDate(char * buf);
uint16_t		SYS_FormatTimeStamp(char * buf);

char *			SYS_MakeFileName(bool local, Device_dev deviceLog, char * date);
void 			SYS_FormatReceivedFileName(char * fileName);
void 			SYS_GetNextFile(char * fileName);

#endif /* SYSTEM_FORMAT_H_ */
