/******************************************************************************
 * @file:		checkStates.h
 * @project:	BuoyController
 * @author:  	Ove Nesse
 * @version:	1.00
 * @created:	17. mai 2016
 ******************************************************************************
 *	File info here
 ******************************************************************************/

#ifndef CHECKSTATES_H_
#define CHECKSTATES_H_

#include "controllerState.h"

void TransitionToCheckStream(ControllerStatePtr state);
void TransitionToCheckComState(ControllerStatePtr state);
void TransitionToCheckForSystemTasks(ControllerStatePtr state);
void TransitionToCheckTasks(ControllerStatePtr state);
void TransitionToCheckGpsAv(ControllerStatePtr state);
void TransitionToCheckGsmAv(ControllerStatePtr state);
void TransitionToSystemSleep(ControllerStatePtr state);

void CheckStream(ControllerStatePtr state);
void CheckComState(ControllerStatePtr state);
void CheckForSystemTasks(ControllerStatePtr state);
void CheckTasks(ControllerStatePtr state);
void CheckGpsAvailable(ControllerStatePtr state);
void CheckGsmAvailable(ControllerStatePtr state);
void SystemSleep(ControllerStatePtr state);

#endif /* CHECKSTATES_H_ */
