/******************************************************************************
 * @file:		deviceStates.h
 * @project:	BuoyController
 * @author:  	Ove Nesse
 * @version:	1.00
 * @created:	17. mai 2016
 ******************************************************************************
 *	File info here
 ******************************************************************************/

#ifndef DEVICESTATES_H_
#define DEVICESTATES_H_

#include "controllerState.h"


void TransitionToCollectData(ControllerStatePtr state);
void TransitionToWakeUpDevice(ControllerStatePtr state);
void TransitionToShutdownDevice(ControllerStatePtr state);

void OnWakeUpDevice(ControllerStatePtr state);

void CollectData(ControllerStatePtr state);
void WakeUpDevice(ControllerStatePtr state);
void ShutDownDevice(ControllerStatePtr state);


#endif /* DEVICESTATES_H_ */
