/******************************************************************************
 * @file:		updateStates.h
 * @project:	BuoyController
 * @author:  	Ove Nesse
 * @version:	1.00
 * @created:	17. mai 2016
 ******************************************************************************
 *	File info here
 ******************************************************************************/

#ifndef UPDATESTATES_H_
#define UPDATESTATES_H_


#include "controllerState.h"

void TransitionToTempComp(ControllerStatePtr state);
void TransitionToUpdateTime(ControllerStatePtr state);
void TransitionToCreateLogFiles(ControllerStatePtr state);

void UpdateTime(ControllerStatePtr state);
void CreateLogFiles(ControllerStatePtr state);
void TempComp(ControllerStatePtr state);

#endif /* UPDATESTATES_H_ */
